Subject: bug#33654: 27.0.50; No record of init file errors printed in *Messages*

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Dec 2018 21:24:27 +0200

> Date: Sat, 08 Dec 2018 19:51:47 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > I'm not sure we can guarantee that the frame showing *Warnings* is
>  > always on top, since user initialization can create any number of
>  > frames.
> 
> In general we cannot guarantee that for any frame when there are
> several of them.  Usually, the last frame created is the one on top.
> 
> A user could add a function to 'window-setup-hook' which looks whether
> a *Warnings* buffer exists and, if it is not shown on the selected
> frame, display it there and maybe delete it elsewhere.  Or, obviously,
> select the frame where it is shown.  I don't know whether it's a good
> idea to do that automatically.

Maybe we could add something to window-setup-hook when we have delayed
warnings to display after startup?